"""add BrowserEvent table

Revision ID: 98505a067995
Revises: bb25e889ad71
Create Date: 2024-08-28 16:51:10.592340

"""
from alembic import op
import sqlalchemy as sa
import openadapt

# revision identifiers, used by Alembic.
revision = '98505a067995'
down_revision = 'bb25e889ad71'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('browser_event',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('recording_timestamp', openadapt.models.ForceFloat(precision=10, scale=2, asdecimal=False), nullable=True),
    sa.Column('recording_id', sa.Integer(), nullable=True),
    sa.Column('message', sa.JSON(), nullable=True),
    sa.Column('timestamp', openadapt.models.ForceFloat(precision=10, scale=2, asdecimal=False), nullable=True),
    sa.ForeignKeyConstraint(['recording_id'], ['recording.id'], name=op.f('fk_browser_event_recording_id_recording')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_browser_event'))
    )
    with op.batch_alter_table('action_event', schema=None) as batch_op:
        batch_op.add_column(sa.Column('browser_event_timestamp', openadapt.models.ForceFloat(precision=10, scale=2, asdecimal=False), nullable=True))
        batch_op.add_column(sa.Column('browser_event_id', sa.Integer(), nullable=True))
        batch_op.create_foreign_key(batch_op.f('fk_action_event_browser_event_id_browser_event'), 'browser_event', ['browser_event_id'], ['id'])

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('action_event', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_action_event_browser_event_id_browser_event'), type_='foreignkey')
        batch_op.drop_column('browser_event_id')
        batch_op.drop_column('browser_event_timestamp')

    op.drop_table('browser_event')
    # ### end Alembic commands ###
