"""add_audio_info

Revision ID: 98c8851a5321
Revises: d714cc86fce8
Create Date: 2024-05-29 16:56:25.832333

"""
from alembic import op
import sqlalchemy as sa

import openadapt

# revision identifiers, used by Alembic.
revision = "98c8851a5321"
down_revision = "d714cc86fce8"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "audio_info",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column(
            "timestamp",
            openadapt.models.ForceFloat(precision=10, scale=2, asdecimal=False),
            nullable=True,
        ),
        sa.Column("flac_data", sa.LargeBinary(), nullable=True),
        sa.Column("transcribed_text", sa.String(), nullable=True),
        sa.Column(
            "recording_timestamp",
            openadapt.models.ForceFloat(precision=10, scale=2, asdecimal=False),
            nullable=True,
        ),
        sa.Column("recording_id", sa.Integer(), nullable=True),
        sa.Column("sample_rate", sa.Integer(), nullable=True),
        sa.Column("words_with_timestamps", sa.Text(), nullable=True),
        sa.ForeignKeyConstraint(
            ["recording_id"],
            ["recording.id"],
            name=op.f("fk_audio_info_recording_id_recording"),
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_audio_info")),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("audio_info")
    # ### end Alembic commands ###
